<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: NSPRerrs.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_fdedb0aba14d44ce9d99bc100e026e6a.html">common</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">NSPRerrs.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="NSPRerrs_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a47d7b4a2830e337698168167670b55b1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a> (PR_FIND_SYMBOL_ERROR, &quot;Symbol not <a class="el" href="SECerrs_8h.html#a2ef9065a594548ee03e31edbe574df84">found</a> in any of the loaded dynamic libraries.&quot;) ER2(PR_DIRECTORY_LOOKUP_ERROR</td></tr>
<tr class="separator:a47d7b4a2830e337698168167670b55b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73dda730335d97f09377c80ddf4fc76e"><td class="memItemLeft" align="right" valign="top">A directory lookup on a network address has <a class="el" href="SSLerrs_8h.html#adfb7398394c04fd64519a53068474080">failed</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="NSPRerrs_8h.html#a73dda730335d97f09377c80ddf4fc76e">ER2</a> (PR_TPD_RANGE_ERROR, &quot;Attempt to access a TPD key that is out of range.&quot;) ER2(PR_NOT_SOCKET_ERROR</td></tr>
<tr class="separator:a73dda730335d97f09377c80ddf4fc76e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6831a14ab20a7c5432e66959f4e27b0a"><td class="memItemLeft" align="right" valign="top">A directory lookup on a network address has <a class="el" href="SSLerrs_8h.html#adfb7398394c04fd64519a53068474080">failed</a> Network operation attempted on non network file descriptor&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="NSPRerrs_8h.html#a6831a14ab20a7c5432e66959f4e27b0a">ER2</a> (PR_NOT_TCP_SOCKET_ERROR, &quot;TCP-specific function attempted on a non-TCP file descriptor.&quot;) ER2(PR_OPERATION_NOT_SUPPORTED_ERROR</td></tr>
<tr class="separator:a6831a14ab20a7c5432e66959f4e27b0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb5e886c1601e3540d34215c365e932a"><td class="memItemLeft" align="right" valign="top">A directory lookup on a network address has <a class="el" href="SSLerrs_8h.html#adfb7398394c04fd64519a53068474080">failed</a> Network operation attempted on non network file descriptor The requested operation is not supported by the platform&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="NSPRerrs_8h.html#acb5e886c1601e3540d34215c365e932a">ER2</a> (PR_PROTOCOL_NOT_SUPPORTED_ERROR, &quot;The host operating system does not support the protocol requested.&quot;) ER2(PR_BUFFER_OVERFLOW_ERROR</td></tr>
<tr class="separator:acb5e886c1601e3540d34215c365e932a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17f03fb8326f24cbf81b1e791e90ac39"><td class="memItemLeft" align="right" valign="top">A directory lookup on a network address has <a class="el" href="SSLerrs_8h.html#adfb7398394c04fd64519a53068474080">failed</a> Network operation attempted on non network file descriptor The requested operation is not supported by the platform The value requested is too large to be stored in the data buffer provided&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="NSPRerrs_8h.html#a17f03fb8326f24cbf81b1e791e90ac39">ER2</a> (PR_FILE_TOO_BIG_ERROR, &quot;Write would result in file larger than the system allows.&quot;) ER2(PR_IS_DIRECTORY_ERROR</td></tr>
<tr class="separator:a17f03fb8326f24cbf81b1e791e90ac39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abae9967cceb9f8e0191b59ead23a58f5"><td class="memItemLeft" align="right" valign="top">A directory lookup on a network address has <a class="el" href="SSLerrs_8h.html#adfb7398394c04fd64519a53068474080">failed</a> Network operation attempted on non network file descriptor The requested operation is not supported by the platform The value requested is too large to be stored in the data buffer provided Cannot perform a normal file operation on a directory&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="NSPRerrs_8h.html#abae9967cceb9f8e0191b59ead23a58f5">ER2</a> (PR_NOT_DIRECTORY_ERROR, &quot;Cannot perform directory operation on a normal file.&quot;) ER2(PR_READ_ONLY_FILESYSTEM_ERROR</td></tr>
<tr class="separator:abae9967cceb9f8e0191b59ead23a58f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd05349e43fff6a1f29cc23d5b1a65ad"><td class="memItemLeft" align="right" valign="top">A directory lookup on a network address has <a class="el" href="SSLerrs_8h.html#adfb7398394c04fd64519a53068474080">failed</a> Network operation attempted on non network file descriptor The requested operation is not supported by the platform The value requested is too large to be stored in the data buffer provided Cannot perform a normal file operation on a directory Cannot write to a read only file system&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="NSPRerrs_8h.html#acd05349e43fff6a1f29cc23d5b1a65ad">ER2</a> (PR_DIRECTORY_NOT_EMPTY_ERROR, &quot;Cannot delete a directory that is not empty.&quot;) ER2(PR_FILESYSTEM_MOUNTED_ERROR</td></tr>
<tr class="separator:acd05349e43fff6a1f29cc23d5b1a65ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90c0541cd7ba09e2e3979ead19e00e4a"><td class="memItemLeft" align="right" valign="top">A directory lookup on a network address has <a class="el" href="SSLerrs_8h.html#adfb7398394c04fd64519a53068474080">failed</a> Network operation attempted on non network file descriptor The requested operation is not supported by the platform The value requested is too large to be stored in the data buffer provided Cannot perform a normal file operation on a directory Cannot write to a read only file system Cannot delete or rename a file object while the file system is busy&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="NSPRerrs_8h.html#a90c0541cd7ba09e2e3979ead19e00e4a">ER2</a> (PR_NOT_SAME_DEVICE_ERROR, &quot;Cannot rename a file to a file system on another device.&quot;) ER2(PR_DIRECTORY_CORRUPTED_ERROR</td></tr>
<tr class="separator:a90c0541cd7ba09e2e3979ead19e00e4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5b09ae79c87884cbe809a50fc51183c"><td class="memItemLeft" align="right" valign="top">A directory lookup on a network address has <a class="el" href="SSLerrs_8h.html#adfb7398394c04fd64519a53068474080">failed</a> Network operation attempted on non network file descriptor The requested operation is not supported by the platform The value requested is too large to be stored in the data buffer provided Cannot perform a normal file operation on a directory Cannot write to a read only file system Cannot delete or rename a file object while the file system is busy The directory object in the file system is corrupted&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="NSPRerrs_8h.html#af5b09ae79c87884cbe809a50fc51183c">ER2</a> (PR_FILE_EXISTS_ERROR, &quot;Cannot create or rename a filename that already exists.&quot;) ER2(PR_MAX_DIRECTORY_ENTRIES_ERROR</td></tr>
<tr class="separator:af5b09ae79c87884cbe809a50fc51183c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c7e1b5025958084e82988daf38ab052"><td class="memItemLeft" align="right" valign="top">A directory lookup on a network address has <a class="el" href="SSLerrs_8h.html#adfb7398394c04fd64519a53068474080">failed</a> Network operation attempted on non network file descriptor The requested operation is not supported by the platform The value requested is too large to be stored in the data buffer provided Cannot perform a normal file operation on a directory Cannot write to a read only file system Cannot delete or rename a file object while the file system is busy The directory object in the file system is corrupted Directory is full No additional filenames may be added&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="NSPRerrs_8h.html#a4c7e1b5025958084e82988daf38ab052">ER2</a> (PR_INVALID_DEVICE_STATE_ERROR, &quot;The required device was in an invalid state.&quot;) ER2(PR_IN_PROGRESS_ERROR</td></tr>
<tr class="separator:a4c7e1b5025958084e82988daf38ab052"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6f7cd6791a77a1f7504fb83ac9daa7e"><td class="memItemLeft" align="right" valign="top">A directory lookup on a network address has <a class="el" href="SSLerrs_8h.html#adfb7398394c04fd64519a53068474080">failed</a> Network operation attempted on non network file descriptor The requested operation is not supported by the platform The value requested is too large to be stored in the data buffer provided Cannot perform a normal file operation on a directory Cannot write to a read only file system Cannot delete or rename a file object while the file system is busy The directory object in the file system is corrupted Directory is full No additional filenames may be added Operation is still in&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="NSPRerrs_8h.html#af6f7cd6791a77a1f7504fb83ac9daa7e">progress</a> (probably a non-blocking <a class="el" href="SSLerrs_8h.html#a10764c1c14b74ad693fc25c1b547abc2">connect</a>).&quot; ) ER2( PR_ALREADY_INITIATED_ERROR</td></tr>
<tr class="separator:af6f7cd6791a77a1f7504fb83ac9daa7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a47d7b4a2830e337698168167670b55b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47d7b4a2830e337698168167670b55b1">&#9670;&nbsp;</a></span>ER2() <span class="overload">[1/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ER2 </td>
          <td>(</td>
          <td class="paramtype">PR_FIND_SYMBOL_ERROR&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;Symbol not <a class="el" href="SECerrs_8h.html#a2ef9065a594548ee03e31edbe574df84">found</a> in any of the loaded dynamic libraries.&quot;&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a73dda730335d97f09377c80ddf4fc76e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73dda730335d97f09377c80ddf4fc76e">&#9670;&nbsp;</a></span>ER2() <span class="overload">[2/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">A directory lookup on a network address has <a class="el" href="SSLerrs_8h.html#adfb7398394c04fd64519a53068474080">failed</a> ER2 </td>
          <td>(</td>
          <td class="paramtype">PR_TPD_RANGE_ERROR&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;Attempt to access a TPD key that is out of range.&quot;&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6831a14ab20a7c5432e66959f4e27b0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6831a14ab20a7c5432e66959f4e27b0a">&#9670;&nbsp;</a></span>ER2() <span class="overload">[3/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">A directory lookup on a network address has <a class="el" href="SSLerrs_8h.html#adfb7398394c04fd64519a53068474080">failed</a> Network operation attempted on non network file descriptor ER2 </td>
          <td>(</td>
          <td class="paramtype">PR_NOT_TCP_SOCKET_ERROR&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;TCP-specific function attempted on a non-TCP file descriptor.&quot;&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acb5e886c1601e3540d34215c365e932a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb5e886c1601e3540d34215c365e932a">&#9670;&nbsp;</a></span>ER2() <span class="overload">[4/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">A directory lookup on a network address has <a class="el" href="SSLerrs_8h.html#adfb7398394c04fd64519a53068474080">failed</a> Network operation attempted on non network file descriptor The requested operation is not supported by the platform ER2 </td>
          <td>(</td>
          <td class="paramtype">PR_PROTOCOL_NOT_SUPPORTED_ERROR&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;The host operating system does not support the protocol requested.&quot;&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a17f03fb8326f24cbf81b1e791e90ac39"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17f03fb8326f24cbf81b1e791e90ac39">&#9670;&nbsp;</a></span>ER2() <span class="overload">[5/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">A directory lookup on a network address has <a class="el" href="SSLerrs_8h.html#adfb7398394c04fd64519a53068474080">failed</a> Network operation attempted on non network file descriptor The requested operation is not supported by the platform The value requested is too large to be stored in the data buffer provided ER2 </td>
          <td>(</td>
          <td class="paramtype">PR_FILE_TOO_BIG_ERROR&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;Write would result in file larger than the system allows.&quot;&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abae9967cceb9f8e0191b59ead23a58f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abae9967cceb9f8e0191b59ead23a58f5">&#9670;&nbsp;</a></span>ER2() <span class="overload">[6/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">A directory lookup on a network address has <a class="el" href="SSLerrs_8h.html#adfb7398394c04fd64519a53068474080">failed</a> Network operation attempted on non network file descriptor The requested operation is not supported by the platform The value requested is too large to be stored in the data buffer provided Cannot perform a normal file operation on a directory ER2 </td>
          <td>(</td>
          <td class="paramtype">PR_NOT_DIRECTORY_ERROR&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;Cannot perform directory operation on a normal file.&quot;&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acd05349e43fff6a1f29cc23d5b1a65ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd05349e43fff6a1f29cc23d5b1a65ad">&#9670;&nbsp;</a></span>ER2() <span class="overload">[7/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">A directory lookup on a network address has <a class="el" href="SSLerrs_8h.html#adfb7398394c04fd64519a53068474080">failed</a> Network operation attempted on non network file descriptor The requested operation is not supported by the platform The value requested is too large to be stored in the data buffer provided Cannot perform a normal file operation on a directory Cannot write to a read only file system ER2 </td>
          <td>(</td>
          <td class="paramtype">PR_DIRECTORY_NOT_EMPTY_ERROR&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;Cannot delete a directory that is not empty.&quot;&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a90c0541cd7ba09e2e3979ead19e00e4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90c0541cd7ba09e2e3979ead19e00e4a">&#9670;&nbsp;</a></span>ER2() <span class="overload">[8/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">A directory lookup on a network address has <a class="el" href="SSLerrs_8h.html#adfb7398394c04fd64519a53068474080">failed</a> Network operation attempted on non network file descriptor The requested operation is not supported by the platform The value requested is too large to be stored in the data buffer provided Cannot perform a normal file operation on a directory Cannot write to a read only file system Cannot delete or rename a file object while the file system is busy ER2 </td>
          <td>(</td>
          <td class="paramtype">PR_NOT_SAME_DEVICE_ERROR&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;Cannot rename a file to a file system on another device.&quot;&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af5b09ae79c87884cbe809a50fc51183c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5b09ae79c87884cbe809a50fc51183c">&#9670;&nbsp;</a></span>ER2() <span class="overload">[9/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">A directory lookup on a network address has <a class="el" href="SSLerrs_8h.html#adfb7398394c04fd64519a53068474080">failed</a> Network operation attempted on non network file descriptor The requested operation is not supported by the platform The value requested is too large to be stored in the data buffer provided Cannot perform a normal file operation on a directory Cannot write to a read only file system Cannot delete or rename a file object while the file system is busy The directory object in the file system is corrupted ER2 </td>
          <td>(</td>
          <td class="paramtype">PR_FILE_EXISTS_ERROR&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;Cannot create or rename a filename that already exists.&quot;&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4c7e1b5025958084e82988daf38ab052"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c7e1b5025958084e82988daf38ab052">&#9670;&nbsp;</a></span>ER2() <span class="overload">[10/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">A directory lookup on a network address has <a class="el" href="SSLerrs_8h.html#adfb7398394c04fd64519a53068474080">failed</a> Network operation attempted on non network file descriptor The requested operation is not supported by the platform The value requested is too large to be stored in the data buffer provided Cannot perform a normal file operation on a directory Cannot write to a read only file system Cannot delete or rename a file object while the file system is busy The directory object in the file system is corrupted Directory is full No additional filenames may be added ER2 </td>
          <td>(</td>
          <td class="paramtype">PR_INVALID_DEVICE_STATE_ERROR&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;The required device was in an invalid state.&quot;&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af6f7cd6791a77a1f7504fb83ac9daa7e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6f7cd6791a77a1f7504fb83ac9daa7e">&#9670;&nbsp;</a></span>progress()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">A directory lookup on a network address has <a class="el" href="SSLerrs_8h.html#adfb7398394c04fd64519a53068474080">failed</a> Network operation attempted on non network file descriptor The requested operation is not supported by the platform The value requested is too large to be stored in the data buffer provided Cannot perform a normal file operation on a directory Cannot write to a read only file system Cannot delete or rename a file object while the file system is busy The directory object in the file system is corrupted Directory is full No additional filenames may be added Operation is still in progress </td>
          <td>(</td>
          <td class="paramtype">probably a non-blocking&#160;</td>
          <td class="paramname"><em>connect</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:34 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
